org.apache.hadoop.tracing

## Class SpanReceiverInfoBuilder

- java.lang.Object
- - org.apache.hadoop.tracing.SpanReceiverInfoBuilder

-     @InterfaceAudience.Public
       @InterfaceStability.Stable
      public class SpanReceiverInfoBuilder
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SpanReceiverInfoBuilder(String className)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addConfigurationPair(String key, String value)`
    `SpanReceiverInfo` | `build()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SpanReceiverInfoBuilder

          public SpanReceiverInfoBuilder(String className)

  - ### Method Detail

    - #### addConfigurationPair

          public void addConfigurationPair(String key,
                                           String value)

    - #### build

          public SpanReceiverInfo build()

Copyright © 2022 Apache Software Foundation. All rights reserved.